player_position1d_data Struct Reference

Data: state (PLAYER_POSITION1D_DATA_STATE) More...

`#include <player_interfaces.h>`

## Public Attributes

float | pos
| position [m] or [rad] depending on actuator type
float | vel
| translational velocities [m/s] or [rad/s] depending on actuator type
uint8_t | stall
| Is the motor stalled?
uint8_t | status
| bitfield of extra data in the following order: More...

## Detailed Description

Data: state (PLAYER_POSITION1D_DATA_STATE)

The `position` interface returns data regarding the odometric pose and velocity of the robot, as well as motor stall information.

## Member Data Documentation

uint8_t player_position1d_data::status

bitfield of extra data in the following order:

- status (unsigned byte)
  - bit 0: limit min
  - bit 1: limit center
  - bit 2: limit max
  - bit 3: over current
  - bit 4: trajectory complete
  - bit 5: is enabled
  - bit 6:
  - bit 7:

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45